librabbitmq-objc-examples
=========================

Xcode project of example command line OS X programs for janihur/librabbitmq-objc.

## Dependencies

The examples require the following dependencies that are not part of this code base:

* [janihur/librabbitmq-objc](https://github.com/janihur/librabbitmq-objc)
* [alanxz/rabbitmq-c](https://github.com/alanxz/rabbitmq-c)

The Xcode project has hardcoded paths to these depencies so one have to adjust the project settings.

### janihur/librabbitmq-objc

All required header and implementation files from this project are included into librabbitmq-objc-examples.

You have to adjust Project > Build Settings > Search Paths > Header Search Paths

### alanxz/rabbitmq-c

Compile the library as a static library (not the default setting in rabbitmq-c) and in librabbitmq-objc-examples set where the header files and the compiled library are located. rabbitmq-c has good compilation instructions.

You have to adjust Project > Build Settings > Linking > Other Linker Flags

## Licence

Copyright © 2012 Jani Hur <http://www.jani-hur.net>

This program is free software: you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation, either version 3 of the License, or
(at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program.  If not, see <http://www.gnu.org/licenses/>.
